Subject: bug#20545: New minor mode Electric Punct

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 May 2015 19:38:13 +0300

> Date: Wed, 13 May 2015 00:48:13 -0700
> From: Paul Eggert <[email-masked]>
> CC: [email-masked]
> 
>     Do we already have a way of displaying ‘..’ on terminals that cannot
>     display them (notably, some TTYs)?  If not, we should add that before
>     we install these changes, and those in bug #20385.  I don't think we
>     can let doc strings have glyphless characters.
> 
> I just now configured a terminal to refuse to display curved quotes, and when I used it Emacs displayed "‘like this’" as "\u2018like this\u2019" with underscores below the "\u2018" and the "\u2019".

Yes, that's what I see, too.

> I could easily change it to display it as "`like this'" with underscores under the "`" and the "'", if you think that'd be a win.

I think we should indeed display that `like this' (when the curved
quotes cannot be displayed), but do we really need the underscores?
What would be their purpose?

Thanks.